Subject: Re: [PATCH v2 net-next 1/4] net: socket: add support for async operations

From: Al Viro <[email-masked]>
Date: Thu, 19 Mar 2015 18:13:25 +0000

On Thu, Mar 19, 2015 at 10:43:16AM -0700, Tadeusz Struk wrote:
> On 03/19/2015 09:20 AM, Al Viro wrote:
> > is completely pointless.  Just have sock_read_iter() and sock_write_iter()
> > check if your new methods are present and use those if those are.
> > 
> 
> Ok, that will work for me too.
> 
> > What's more, I'm not at all sure that you want to pass iocb that way -
> > kernel-side msghdr isn't tied to userland one anymore, so we might as well
> > stash a pointer to iocb into it.  Voila - no new methods needed at all.
> 
> Good point, so what do you prefer - to add iocd to msghdr or to call the new
> methods from sock_read_iter() and sock_write_iter()?
> Either way is good for me.

I'd probably add msg_iocb to the end of struct msghdr and explicitly zero it in
copy_msghdr_from_user() and get_compat_msghdr(), but you are asking the wrong
guy - that sort of choices in net/* falls on davem, not me.